Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class GeneralRenderingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jasig.portal.PortalException
                  org.jasig.portal.GeneralRenderingException

All Implemented Interfaces:
  java.io.Serializable

    public class GeneralRenderingException

extends PortalException

This exception would inform uPortal that a general rendering problem has caused a channel to throw an exception.

Version:
  $Revision: 1.7 $
Author:
  Peter Kharchenko
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jasig.portal.PortalException
`errorID, logPending, parameter, refreshable, reinstantiable, timestamp`

Constructor Summary
`GeneralRenderingException()` Instantiate a generic GeneralRenderingException.
`GeneralRenderingException(java.lang.String msg)` Instantiate a GeneralRenderingException, with a message describing the nature of the problem.
`GeneralRenderingException(java.lang.String msg, boolean refresh, boolean reinstantiate)` Instantiate a GeneralRenderingException with a message and indicating whether channel refresh and channel reinstantiation are appropriate responses to the problem.
`GeneralRenderingException(java.lang.String msg, java.lang.Throwable cause)` Instantiate a GeneralRenderingException with a message and a Throwable representing the underlying cause of the problem.
`GeneralRenderingException(java.lang.String msg, java.lang.Throwable cause, boolean refresh, boolean reinstantiate)` Instantiate a GeneralRenderingException with a message and underlying cause, indicating whether channel refresh and channel reinstantiation are appropriate responses to the problem.
`GeneralRenderingException(java.lang.Throwable cause)` Instantiate a GeneralRenderingException, with cause of the problem.

Method Summary

Methods inherited from class org.jasig.portal.PortalException
`allowRefresh, allowReinstantiation, getErrorID, getParameter, getRecordedException, getTimestamp, isLogPending, isRefreshable, isReinstantiable, setErrorID, setLogPending, setParameter, setRecordedException, setRefreshable, setReinstantiable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneralRenderingException

    public GeneralRenderingException()

  Instantiate a generic GeneralRenderingException. Deprecated because it would be so much more helpful for you to instead throw an exception with a message.

### GeneralRenderingException

    public GeneralRenderingException(java.lang.Throwable cause)

  Instantiate a GeneralRenderingException, with cause of the problem.

  Parameters:
    `cause` - - cause of the problem

### GeneralRenderingException

    public GeneralRenderingException(java.lang.String msg)

  Instantiate a GeneralRenderingException, with a message describing the nature of the problem.

  Parameters:
    `msg` - - message explaining problem

### GeneralRenderingException

    public GeneralRenderingException(java.lang.String msg,
                                     java.lang.Throwable cause)

  Instantiate a GeneralRenderingException with a message and a Throwable representing the underlying cause of the problem.

  Parameters:
    `msg` - - message explaining the problem
    `cause` - - underlying Throwable

### GeneralRenderingException

    public GeneralRenderingException(java.lang.String msg,
                                     boolean refresh,
                                     boolean reinstantiate)

  Instantiate a GeneralRenderingException with a message and indicating whether channel refresh and channel reinstantiation are appropriate responses to the problem.

  Parameters:
    `msg` - - message explaining the problem
    `refresh` - - true if refresh is an appropriate response
    `reinstantiate` - - true if reinstantiation is an appropriate response

### GeneralRenderingException

    public GeneralRenderingException(java.lang.String msg,
                                     java.lang.Throwable cause,
                                     boolean refresh,
                                     boolean reinstantiate)

  Instantiate a GeneralRenderingException with a message and underlying cause, indicating whether channel refresh and channel reinstantiation are appropriate responses to the problem.

  Parameters:
    `msg` - - message explaining the problem
    `cause` - - underlying cause of problem
    `refresh` - - true if refresh is appropriate response
    `reinstantiate` - - true if reinstantiation is appropriate response

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD